import PawModel from './PawModel';
declare class Doc extends PawModel {
    static apiType: string;
    title?: string;
    preview_url?: string;
    thumb_url?: string;
    file_url?: string;
    content_type?: string;
    static subscription?: any;
    static filters: {
        id?: string;
        created_at?: string;
        updated_at?: string;
        title?: undefined | string;
        weight?: undefined | string;
    };
    static create(payload: any): Promise<Doc>;
    static sync(): Promise<any>;
    static unsync(): Promise<void>;
    download(): void;
}
export default Doc;
