import React from 'react';
declare class PawModel {
    static apiType: string;
    static d3Compatible: boolean;
    id: string;
    attributes: any;
    type: string;
    writers: string[];
    readers: string[];
    created_at: string;
    updated_at: string;
    private __populated;
    relationships: string[];
    static _store?: any;
    static currentPage: number;
    static links: {
        first: null | string;
        last: null | string;
        next: null | string;
        prev: null | string;
        self: null | string;
    };
    private static _cache;
    static get cache(): any;
    static clearCache(): void;
    constructor(values: any);
    static get store(): any;
    static get list(): any;
    static create(payload: object, handleError?: boolean): Promise<PawModel>;
    static get(id: string, fetch?: boolean): any;
    static fetch(query: object | string, count?: boolean, refresh?: boolean): Promise<any>;
    static bulkUpdate(query: any, payload: any, url?: string): Promise<void>;
    private static setDatas;
    populate(): Promise<void>;
    update(payload: any): Promise<void>;
    delete(force?: boolean): Promise<void>;
    static connect(name: string, params?: any): (Component: React.ComponentClass) => {
        new (props: {}): {
            unsubscribe: any;
            data: any;
            prevLength: number;
            componentDidMount(): void;
            componentDidUpdate(prevProps: {}, prevState: {
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }): true | Promise<unknown>;
            componentWillUnmount(): void;
            getList(): any[];
            configure: ({ query, page, pageSize, sort }: any, forceReload?: boolean) => Promise<void>;
            fetchData: (_query?: any, refresh?: boolean) => Promise<unknown>;
            handleNextPage: () => void;
            handlePrevPage: () => void;
            handleRefresh: () => void;
            render(): React.CElement<{}, React.Component<{}, any, any>>;
            context: any;
            setState<K extends "query" | "loading" | "ids" | "pageSize" | "page" | "count" | "sort">(state: {
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            } | ((prevState: Readonly<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }>, props: Readonly<{}>) => {
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            } | Pick<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }, K>) | Pick<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }, K>, callback?: () => void): void;
            forceUpdate(callback?: () => void): void;
            readonly props: Readonly<{}> & Readonly<{
                children?: React.ReactNode;
            }>;
            state: Readonly<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }>;
            refs: {
                [key: string]: React.ReactInstance;
            };
            shouldComponentUpdate?(nextProps: Readonly<{}>, nextState: Readonly<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }>, nextContext: any): boolean;
            componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
            getSnapshotBeforeUpdate?(prevProps: Readonly<{}>, prevState: Readonly<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }>): any;
            componentWillMount?(): void;
            UNSAFE_componentWillMount?(): void;
            componentWillReceiveProps?(nextProps: Readonly<{}>, nextContext: any): void;
            UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{}>, nextContext: any): void;
            componentWillUpdate?(nextProps: Readonly<{}>, nextState: Readonly<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }>, nextContext: any): void;
            UNSAFE_componentWillUpdate?(nextProps: Readonly<{}>, nextState: Readonly<{
                query: any;
                loading: boolean;
                ids: string[];
                pageSize: number;
                page: number;
                count?: number;
                sort?: any;
            }>, nextContext: any): void;
        };
        contextType?: React.Context<any>;
    };
}
export default PawModel;
