import { ThunkAction, Action } from '@reduxjs/toolkit';
import { RootState } from './index';
export interface StoreAlertsState {
    news: Array<StoreAlert>;
    viewed: Array<StoreAlert>;
}
export interface StoreAlert {
    id: string;
    type: 'danger' | 'success' | 'warning' | 'info';
    text: string;
    timeout?: number;
}
export declare const clearAlerts: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>, removeAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>, errorAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>, successAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>, warningAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>, infoAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
export declare const getAlerts: (state: RootState) => StoreAlert[];
export declare const clearAlertsAsync: (amount: number) => ThunkAction<void, RootState, unknown, Action<string>>;
declare const _default: import("redux").Reducer<StoreAlertsState, import("redux").AnyAction>;
export default _default;
