import { Component } from 'react';
import { PawViewProps } from '../index';
import { IPlugandworkApp } from '../interfaces/plugandwork-app';
import SettingsField from './SettingsField';
import View from '../models/View';
declare class PlugandworkApp implements IPlugandworkApp {
    static getSettingsFields(): SettingsField[];
    static component: Component<PawViewProps>;
    static publicComponent?: Component<PawViewProps>;
    static settings: {
        schema?: any;
        defaults?: any;
    };
    static icon: any;
    static handleDoc?: Function;
    static onInstall(view: View): Promise<void>;
    static onUninstall(view: View): Promise<void>;
}
export default PlugandworkApp;
